import * as React from 'react';
import {BreadModel, makeColumn} from "@rx-suite/ui";
import {t} from "@lingui/macro";
import {DcsConfigStore} from "../../stores/DcsConfigStore";
import {DcsConnectionForm} from "./DcsConnectionForm";

export const DcsConnectionsBreadModel = () => {
    const columns = [
        makeColumn('name', t`LMS Name`, "string"),
        makeColumn('description', t`Description`, "string"),
        makeColumn('ip', t`IP Address`, "string"),
        makeColumn('port', t`Port`, "string")
    ];
    return (
        <BreadModel store={DcsConfigStore} Form={DcsConnectionForm} columns={columns}/>
    )
};